warning off
% Load JET plamsaless model
load PlasmaLessModel

% Current Controller Design

% Open simulation scheme
PlasmalessPlant

% Time constant matrix Lambda
Lambda= diag([0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1])*1.5;

K = M*inv(Lambda);

sim('PlasmalessPlant');

% Plot the simulation results
for i=1:9
    plot(PFReferences.time,PFReferences.signals.values(:,i),PFCurrents.time,PFCurrents.signals.values(:,i),'LineWidth',2);
    title(PFnames{i});
    legend({'Reference','Measurement'});
    grid
    pause
end


% Model of the power supplies
tau_ps = (1./[
    3.33
    50
    10
    20
    40
    30
    60
    60
    30])/3;
for i=1:9,
    V_filter(i,i)=tf(1,[tau_ps(i),1]);
end
