warning off;
% Load JET model
load PlasmaModel

% Plasma Current Controller Design

% Open simulation scheme
PlasmaPlant


% Time constant matrix Lambda
T = eye(9);
T(1,1) = -M(end,1)/M(end,end); % assume superconductive plasma
                               % and only mutual inductance between plasma
                               % and Pi

Lambda= diag([0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1]);

K = M(1:9,1:9)*inv(T)*inv(Lambda);

sim('PlasmaPlant');

% Plot the simulation results
for i=1:9
    plot(PFReferences.time,PFReferences.signals.values(:,i)+y0(i),PFCurrents.time,PFCurrents.signals.values(:,i),'LineWidth',2);
    title(PFnames{i});
    legend({'Reference','Measurement'});
    grid
    pause
end


return

drawVessel;
hold on 
drawPlasma(Shape.signals.values(1,:)',gca,'r');
drawPlasma(Shape.signals.values(end,:)',gca,'k');

