% Plasma model
plasma = ss(A_w,B_w,C_w,D_w);

% Diagnostic
diagnostic = tf(1,[7e-3 1]);

% Power Supply
ps = tf(1,[7.5e-3 1]);
ps.InputDelay = 2.5e-3;
ps = pade(ps,3);

% Choose k2
k2 = -6e-6*2;

% Select as inputs the VS3 voltage and as outputs the VS3 current plus the
% plasma vertical velocity
plasma = plasma([12 end],12);

% Build the SISO system
sys_temp = series(ps,plasma,1,1);

plant = k2*sys_temp(1,1)+sys_temp(2,1)*diagnostic;

K1 = tf(2300,[1]);

plant = minreal(plant*K1);

plant = balred(plant,15);

% Nyquist plot
figure(1)
nyquist(plant);

% Nichols plot
figure(2)
nichols(plant);
grid